<?php

use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'delivery', 'namespace' => 'Delivery', 'as' => 'delivery.'], function () {
    Route::post('/signup', 'CreateDeliveryCustomerController@create')->name('account.registration.register');

    Route::group(['prefix' => 'order', 'as' => 'order.'], function () {
        Route::post('/create', 'CreateDeliveryOrderController@create')->name('create');
        Route::get('/list', 'ListOrdersController@list')->name('list');
        Route::put('/cancel/{id}', 'CancelDeliveryOrderController@cancel')->name('cancel');
    });

});
